#include <bits/stdc++.h>

using namespace std;

int main()
{
  ios::sync_with_stdio(0);
  cin.tie(0);

  int n,k,i,j,c;
  cin>>n>>k;
  int a[n];
  for(i=0;i<n;i++)
  {
    cin>>a[i];
  }
  sort(a,a+n);
  int b[n];
  i=0;
  j=0;
  c=0;
  while(i<n)
  {
    c=count(a,a+n,a[i]);
    if(c>=k)
    {
      b[j]=a[i];
      j++;
    }
    i++;
  }
  c=0;
  for(i=0;i<j;i++)
  {
    if(b[i]!=b[i-1])
    {
      c++;
    }
  }
  cout<<c<<"\n";
  for(i=0;i<j;i++)
  {
    if(b[i]!=b[i-1])
    {
      cout<<b[i]<<" ";
    }
  }
}